package com.xs.core.common.enums;

/**
 * 交易类型枚举
 */
public enum CoinTransactionTypeEnum {
    ADD("增加", 1),
    SUBTRACT("消耗", 2);
    private String name;
    private Integer code;

    CoinTransactionTypeEnum(String name, Integer code) {
        this.name = name;
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }
}
