package com.xs.core.model.coin.resp;

import com.xs.core.model.coin.entity.CoinSpeedUpgradesRules;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@Schema(name = "CoinSpeedUpgradesRulesResp", description = "金币产出速率升级规则")
public class CoinSpeedUpgradesRulesResp implements Serializable {
    @Schema(name = "status", description = "规则状态 0 未达成 1 已满级")
    private int status;
    @Schema(name = "list", description = "规则列表")
    private List<CoinSpeedUpgradesRules> list;
}
