package com.xs.core.service.coin;

import com.xs.core.model.coin.entity.GoldCoinProdState;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xs.core.model.coin.resp.GoldCoinProdStateResp;

/**
 * <p>
 * 金币生产状态 服务类
 * </p>
 *
 * @author xudm
 * @since 2024-12-18
 */
public interface IGoldCoinProdStateService extends IService<GoldCoinProdState> {

    GoldCoinProdState getGoldCoinProdStateByUser(Long userId);

    GoldCoinProdStateResp getGoldCoinProdRespStateByUser(Long userId);

}
