package com.xs.core.service.user;

import com.xs.core.common.enums.CoinTransactionCategoryEnum;
import com.xs.core.common.enums.CoinTransactionTypeEnum;
import com.xs.core.model.user.entity.TgUser;
import com.baomidou.mybatisplus.extension.service.IService;

import java.math.BigDecimal;

/**
 * <p>
 * tg用户 服务类
 * </p>
 *
 * @author xudm
 * @since 2024-12-18
 */
public interface ITgUserService extends IService<TgUser> {
    /**
     * 用户金币交易
     *
     * @param type
     * @param category
     * @param reason
     * @param detail
     * @param amount
     * @param userId
     */
    void coinTransaction(CoinTransactionTypeEnum type, CoinTransactionCategoryEnum category, String reason, String detail, BigDecimal amount, Long userId);
}
