package com.xs.core.common.enums;

/**
 * 交易类型枚举
 */
public enum CoinTransactionCategoryEnum {
    RESOURCE_PLACEMENT("空投", "RESOURCE_PLACEMENT"),
    PRODUCT("挂机产出", "PRODUCT"),
    SPEED_UPGRADES("速率升级", "SPEED_UPGRADES"),
    BLOCKCHAIN_EXCHANGE("区块链兑换", "BLOCKCHAIN_EXCHANGE"),
    TASK_REWARDS("任务奖励", "TASK_REWARDS"),
    TEAM_SHARING("团队抽成", "TEAM_SHARING"),
    SHARE_REWARDS("邀请奖励", "SHARE_REWARDS");
    private String name;
    private String code;

    CoinTransactionCategoryEnum(String name, String code) {
        this.name = name;
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
}
