package com.xs.core.controller.actuator;

import cn.dev33.satoken.annotation.SaIgnore;
import com.xs.core.common.annotation.EntryIgnore;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class ActuatorController {
    @SaIgnore
    @GetMapping("/actuator/health")
    @EntryIgnore
    public String health() {
        return "UP";
    }
}
