package com.xs.core.model.coin.resp;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@Schema(name = "BoostResidueTimesResp", description = "游戏加成剩余时间")
public class BoostResidueTimesResp implements Serializable {
    
    @Schema(description = "当前速率")
    private String currentRate;

    @Schema(description = "临时速率")
    private String temporaryRate;

    @Schema(description = "临时加成剩余时间 （秒）")
    private Long boostResidueTimestamp;
}
