package com.xs.core.service.Impl.coin;

import com.xs.core.model.coin.entity.CoinSpeedUpgradesRules;
import com.xs.core.mapper.coin.CoinSpeedUpgradesRulesMapper;
import com.xs.core.service.coin.ICoinSpeedUpgradesRulesService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 金币产出速率升级规则 服务实现类
 * </p>
 *
 * @author xudm
 * @since 2024-12-19
 */
@Service
public class CoinSpeedUpgradesRulesServiceImpl extends ServiceImpl<CoinSpeedUpgradesRulesMapper, CoinSpeedUpgradesRules> implements ICoinSpeedUpgradesRulesService {

    @Override
    public List<CoinSpeedUpgradesRules> getCoinSpeedUpgradesRulesByUserId(Long userId) {
        return getBaseMapper().getCoinSpeedUpgradesRulesByUserId(userId);
    }
}
