package com.xs.core.service.coin;

import com.xs.core.model.coin.entity.CoinSpeedUpgradesRules;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 金币产出速率升级规则 服务类
 * </p>
 *
 * @author xudm
 * @since 2024-12-19
 */
public interface ICoinSpeedUpgradesRulesService extends IService<CoinSpeedUpgradesRules> {

    /**
     * 获取用户金币速率升级规则列表
     *
     * @param id
     * @return
     */
    List<CoinSpeedUpgradesRules> getCoinSpeedUpgradesRulesByUserId(Long id);

}
