package com.xs.core.service.coin;

import com.xs.core.model.coin.entity.GoldCoinProdRecord;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 金币产出记录表 服务类
 * </p>
 *
 * @author xudm
 * @since 2024-12-18
 */
public interface IGoldCoinProdRecordService extends IService<GoldCoinProdRecord> {

    /**
     * 金币产出记录 根据用户id查询
     *
     * @param id
     * @return
     */
    GoldCoinProdRecord getNoReciviedGoldCoinProdRecordByUserId(Long id);


}
