package com.xs.core.service.user;

import cn.dev33.satoken.stp.SaTokenInfo;
import com.xs.core.model.user.entity.TgUser;
import com.xs.core.model.user.req.AppLoginReq;

public interface AppLoginService {
    /**
     * tg小程序登录
     *
     * @param loginReq 用户信息
     * @return
     */
    SaTokenInfo tgLogin(AppLoginReq loginReq);

    /**
     * 注册tg用户到到系统
     *
     * @param loginReq
     * @return
     */
    TgUser registerToSys(AppLoginReq loginReq);
}
